
Redmine - Defect #12243

Ordering forum replies by last reply date is broken

2012-10-29 10:56 - Intrad Acebo

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version: 2.2.4   

Resolution: Fixed Affected version:  

Description

Would be very nice allow to sort by last reply date in forums. I think is not possible now.

Something like this:

 forum_replies.png 

Thanks!!

Related issues:

Has duplicate Redmine - Defect #13669: Sorting forum message list by "Last me... Closed

Associated revisions

Revision 11424 - 2013-02-17 12:10 - Jean-Philippe Lang

Fixed that messages are not sorted by last reply (#12243).

Revision 11594 - 2013-03-11 19:27 - Jean-Philippe Lang

Backported r11424 from trunk (#12243).

History

#1 - 2012-11-07 05:02 - Toshi MARUYAMA

- Category set to Forums

#2 - 2012-12-05 00:29 - Jean-Claude Wippler

- File Screen Shot 2012-12-05 at 00.27.12.png added

Yes. I had in fact expected that sort on last message would do this, but the sort order doesn't look right - this is with 2.2.0-dev, i.e. trunk.

See attached example. There was a post "New & Updated", I added 5 new posts, and then added a reply to that "New & Updated" post. Had

expected to see that N & E post to rise to the top.

#3 - 2012-12-05 00:39 - Anonymous

I'm voting this one up. The Redmine Forums don't look like traditional forums. The last reply should be the topmost.

#4 - 2013-01-19 23:02 - Jean-Claude Wippler

See this forum as example - a few people are getting confused as to what is most recent:

http://jeelabs.net/projects/cafe/boards/6?sort=updated_on%3Adesc

I track the forum by email, and get everything in time-order that way, but it would be nice if you could go to the forum page and somehow see what

messages you haven't read since the last time you visited. Doesn't have to be fancy (per-user highlighting), but a clear date order from top to bottom

would help.

#5 - 2013-01-22 18:51 - Jean-Claude Wippler

Sorry to keep posting here - but the forum posts are really not sorting as expected. When sorting on "Last message", the list gets sorted on "Created".

See link in my previous post for an example. This is running the latest code, pulled from GitHub minutes ago:

Environment:

      Redmine version                          2.2.2.devel

      Ruby version                             1.8.7 (i486-linux)

      Rails version                            3.2.11
http://jeelabs.net/projects/cafe/boards/6?sort=updated_on%3Adesc


      Environment                              production

      Database adapter                         MySQL

#6 - 2013-02-16 00:50 - Jean-Claude Wippler

Any news on this? I can't seem to find any logic to how forum posts are ordered when clicking on the "Last message" header.

#7 - 2013-02-17 11:20 - Jean-Claude Wippler

Ping? Sorry for making a nuisance of myself, but could someone please reply and explain or address this issue?

#8 - 2013-02-17 12:12 - Jean-Philippe Lang

- Subject changed from Order forum replies by last reply date to Ordering forum replies by last reply date is broken

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.2.4

- Resolution set to Fixed

The updated_on column is no longer updated when adding a reply hence the sort was broken. It's now fixed in r11424. Thanks for pointing this out.

#9 - 2013-02-17 12:38 - Toshi MARUYAMA

- Tracker changed from Feature to Defect

#10 - 2013-02-17 14:27 - Jean-Claude Wippler

Thank you! Confirmed to work perfectly now - http://jeelabs.net/projects/cafe/boards/6

#11 - 2013-03-11 19:27 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Thanks for the feedback.

Files
